#ifndef KTYPE_HH
#define KTYPE_HH

#include <kaos.hh>

/* true: -> bool */
kdatum g1(/* void */);

/* false: -> bool */
kdatum g2(/* void */);

/* D0: -> digit */
kdatum g3(/* void */);

/* D1: -> digit */
kdatum g4(/* void */);

/* D2: -> digit */
kdatum g5(/* void */);

/* D3: -> digit */
kdatum g6(/* void */);

/* D4: -> digit */
kdatum g7(/* void */);

/* D5: -> digit */
kdatum g8(/* void */);

/* D6: -> digit */
kdatum g9(/* void */);

/* D7: -> digit */
kdatum g10(/* void */);

/* D8: -> digit */
kdatum g11(/* void */);

/* D9: -> digit */
kdatum g12(/* void */);

/* non_zero: digit -> bool */
kdatum g13(/* kdatum _p1 */);

#endif
